linux-lts-trusty: 3.13.0-41.70~precise1 -proposed tracker

Bug #1396376 reported by Brad Figg on 2014-11-25
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-trusty (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-41.70~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 25. November 2014 22:54 UTC
kernel-stable-master-bug:1396112
kernel-stable-Prepare-package-end:Wednesday, 26. November 2014 12:03 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 26. November 2014 12:03 UTC
ppa-package-testing-start:Wednesday, 26. November 2014 12:03 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 26. November 2014 19:21 UTC
kernel-stable-Verification-testing-start:Wednesday, 26. November 2014 21:03 UTC
kernel-stable-Certification-testing-start:Wednesday, 26. November 2014 21:03 UTC
kernel-stable-Security-signoff-start:Wednesday, 26. November 2014 21:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 26. November 2014 21:03 UTC
kernel-stable-Regression-testing-end:Monday, 01. December 2014 23:02 UTC
kernel-stable-Security-signoff-end:Thursday, 04. December 2014 14:03 UTC
kernel-stable-Certification-testing-end:Friday, 05. December 2014 10:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 10. December 2014 23:28 UTC
kernel-stable-Promote-to-updates-end:Thursday, 11. December 2014 01:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 11. December 2014 05:01 UTC

Brad Figg (brad-figg) on 2014-11-25
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promote to proposed:
 linux-lts-trusty | 3.13.0-41.70~precise1 | precise-proposed | source
 linux-meta-lts-trusty | 3.13.0.41.36 | precise-proposed | source
 linux-signed-lts-trusty | 3.13.0-41.70~precise1 | precise-proposed | source

Brad Figg (brad-figg) on 2014-11-26
description: updated
Brad Figg (brad-figg) on 2014-11-26
description: updated
Adam Conrad (adconrad) on 2014-11-27
Changed in linux-lts-trusty (Ubuntu):
status: New → Invalid
Paul Larson (pwlars) on 2014-12-01
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-12-01
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-12-04
description: updated
Yung Shen (kaxing) wrote :

certification-testing for this lts-trusty proposed kernel is completed and no regression found.
Reference report can be found here:
http://people.canonical.com/~hwcert/sru-testing/precise/3.13.0-41.70~precise1/precise-3.13-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-12-05
description: updated
Brad Figg (brad-figg) on 2014-12-10
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-41.70~precise1

---------------
linux-lts-trusty (3.13.0-41.70~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1396376

  [ Chris J Arges ]

  * [Config] CONFIG_SCOM_DEBUGFS=y for powerpc/powerpc64-smp
    ppc64el/generic
    - LP: #1395855

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: Handle errors when RIP is set during far jumps"
    - LP: #1393477
  * Revert "net/macb: add pinctrl consumer support"
    - LP: #1393477
  * Revert "iwlwifi: mvm: treat EAPOLs like mgmt frames wrt rate"
    - LP: #1393477
  * Revert "ipmi: simplify locking"
    - LP: #1383921
  * ACPI / blacklist: add Win8 OSI quirks for some Dell laptop models
    - LP: #1339456
  * ACPI / battery: Accelerate battery resume callback
    - LP: #838543
  * tools: cpu-hotplug fix unexpected operator error
  * netlink: reset network header before passing to taps
    - LP: #1393477
  * rtnetlink: fix VF info size
    - LP: #1393477
  * myri10ge: check for DMA mapping errors
    - LP: #1393477
  * tcp: don't use timestamp from repaired skb-s to calculate RTT (v2)
    - LP: #1393477
  * sit: Fix ipip6_tunnel_lookup device matching criteria
    - LP: #1393477
  * tcp: fix tcp_release_cb() to dispatch via address family for
    mtu_reduced()
    - LP: #1393477
  * tcp: fix ssthresh and undo for consecutive short FRTO episodes
    - LP: #1393477
  * packet: handle too big packets for PACKET_V3
    - LP: #1393477
  * openvswitch: fix panic with multiple vlan headers
    - LP: #1393477
  * vxlan: fix incorrect initializer in union vxlan_addr
    - LP: #1393477
  * l2tp: fix race while getting PMTU on PPP pseudo-wire
    - LP: #1393477
  * bonding: fix div by zero while enslaving and transmitting
    - LP: #1393477
  * bridge: Check if vlan filtering is enabled only once.
    - LP: #1393477
  * bridge: Fix br_should_learn to check vlan_enabled
    - LP: #1393477
  * net: allow macvlans to move to net namespace
    - LP: #1393477
  * tg3: Work around HW/FW limitations with vlan encapsulated frames
    - LP: #1393477
  * tg3: Allow for recieve of full-size 8021AD frames
    - LP: #1393477
  * xfrm: Generate blackhole routes only from route lookup functions
    - LP: #1393477
  * xfrm: Generate queueing routes only from route lookup functions
    - LP: #1393477
  * macvtap: Fix race between device delete and open.
    - LP: #1393477
  * gro: fix aggregation for skb using frag_list
    - LP: #1393477
  * hyperv: Fix a bug in netvsc_start_xmit()
    - LP: #1393477
  * ip6_gre: fix flowi6_proto value in xmit path
    - LP: #1393477
  * team: avoid race condition in scheduling delayed work
    - LP: #1393477
  * sctp: handle association restarts when the socket is closed.
    - LP: #1393477
  * tcp: fixing TLP's FIN recovery
    - LP: #1393477
  * sparc64: Do not disable interrupts in nmi_cpu_busy()
    - LP: #1393477
  * sparc64: Fix pcr_ops initialization and usage bugs.
    - LP: #1393477
  * sparc32: dma_alloc_coherent must honour gfp flags
    - LP: #1393477
  * sparc64: sun4v TLB error power off events
    - LP: #1393477
  * sparc64: Fix corrupted thread fault code.
    - LP: #1393...

Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Released
status: New → Fix Released
Brad Figg (brad-figg) on 2014-12-11
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers